# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['replacy_article_agreer']

package_data = \
{'': ['*']}

install_requires = \
['inflect>=4.1.0,<5.0.0']

setup_kwargs = {
    'name': 'replacy-article-agreer',
    'version': '0.2.0',
    'description': 'A replaCy component to manage indirect article agreement, that is, to deal with making "a" and "an" be correct so you don\'t have to think about them in your matches.',
    'long_description': '# replaCy Article Agreer\n\nA replaCy component to manage indirect article agreement, that is, to deal with making "a" and "an" be correct so you don\'t have to think about them in your matches.\n\n## Warning\n\nThis replaCy component touches `suggestions` (`span._.suggestions`) generated by replaCy, and *assumes that they are text*. This means you MUST attach add this component to the pipeline **after the joiner**. Otherwise, this component tries to raise `ReplacyPipelineOrderError` to tell you this.\n\n## Install\n\n`poetry add replacy_article_agreer`\n\n## Usage\n\n```python\nimport en_core_web_sm\nfrom replacy import ReplaceMatcher\nfrom replacy.db import load_json\nfrom replacy_article_agreer import ArticleAgreer\nfrom spacy.util import filter_spans\n\n\nnlp = en_core_web_sm.load()\nreplaCy = ReplaceMatcher(nlp, load_json(\'path to match dict(s)\'))\n\naa = ArticleAgreer()\n\n# filtering spans first isn\'t strictly necessary, but recommended\nreplaCy.add_pipe(filter_spans, name="filter_spans", before="joiner")\nreplaCy.add_pipe(aa, name="article_agreer", after="joiner")\n```\n',
    'author': 'Sam Havens',
    'author_email': 'sam.havens@qordoba.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/Qordobacode/replacy_article_agreer',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
